import { Component, ComponentNames } from ".";
import { DebrujinifiedLambdaTerm } from "../../interpreter";

export class LambdaTerm extends Component {
  public code: string;
  public last: null | { data?: DebrujinifiedLambdaTerm; error?: any } = null;

  constructor(code: string) {
    super(ComponentNames.LambdaTerm);

    this.code = code;
  }
}
